# NgxUtilitarioRclt


This library was generated with [Angular CLI](https://github.com/angular/angular-cli) version 8.0.1.

The library is in developmenting

documentation with compodoc

testing with jasmine and karma

quality with sonaqube

## documentation

Run `npm run compodoc` 

## testing

Run `npm run test` 

## quality

Run `npm run sonarqube` 

## Further help

send a email to renatoclt@hotmail.com. i try help you.

## Installation

Install ngx-utilitario-clt from npm:

```sh
$ npm install ngx-utilitario-rclt
```

### Features

    - Pipes:
    -- highlight
    -- numberToArray

## Usage

### Highlight

Add package to NgModule imports:

```sh
 imports: [
    NgxUtilitarioPipesModule
  ],
```

- Example

.html
```sh
<div  innerHTML="{{ message | highlight : search}}">
```
.ts
```sh
export class AppComponent {
  message = 'this is a message';
  search = 's';
}
```
.css
```sh
::ng-deep .search-highlight{
    background: red;
}
```
### NumberToArray

Add package to NgModule imports:

```sh
 imports: [
    NgxUtilitarioPipesModule
  ],
```

 - Example
.html
```sh
<div *ngFor="let i of number | numberToArray">
  {{i}}
</div>
```
.ts
```sh
export class AppComponent {
  number = 5;
}
```
